cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/simulate_block_trade \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/simulate_block_trade",
"params": {
"role": "maker",
"trades": [
{
"amount": 40,
"direction": "buy",
"instrument_name": "BTC-PERPETUAL",
"price": 11624
},
{
"amount": 1.2,
"direction": "buy",
"instrument_name": "BTC-9AUG19-10250-P",
"price": 0.0707
}
]
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/simulate_block_trade"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/simulate_block_trade",
"params": {
"role": "maker",
"trades": [
{
"amount": 40,
"direction": "buy",
"instrument_name": "BTC-PERPETUAL",
"price": 11624
},
{
"amount": 1.2,
"direction": "buy",
"instrument_name": "BTC-9AUG19-10250-P",
"price": 0.0707
}
]
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/simulate_block_trade',
params: {
role: 'maker',
trades: [
{amount: 40, direction: 'buy', instrument_name: 'BTC-PERPETUAL', price: 11624},
{
amount: 1.2,
direction: 'buy',
instrument_name: 'BTC-9AUG19-10250-P',
price: 0.0707
}
]
}
})
};
fetch('https://drb.coinbase.com/api/v2/private/simulate_block_trade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"result": true
}Block Trade
private/simulate_block_trade
Checks if a block trade can be executed without actually executing it. Use this method to verify that a block trade will succeed before proceeding with the actual execution.
📖 Related Article: Block Trading
Scope: rat#view or wallet:transactions:read
GET
/
private
/
simulate_block_trade
cURL
Query Parameters
Describes if user wants to be maker or taker of trades
Trade role of the user: maker or taker
Available options:
maker, taker List of trades for block trade
Show child attributes
Show child attributes
Was this page helpful?
⌘I